Fetch all variable definitions for flag.
1 min
GET
https://api.optimizely.com/flags/v1//projects/{project_id}/flags/{flag_key}/variable_definitions
Path Parameters
- project_idintegerrequiredExampleDescription
- flag_keystringrequiredExampleDescription
Query Parameters
- per_pageinteger<int64>DescriptionFormatint64
- page_numberinteger<int64>DescriptionFormatint64
- page_tokenstringDescription
- page_windowintegerDescription
- sortstring[]Description
Responses
200
- VariableDefinitions
- countintegerExampleDescription
- first_urlobjectDescription
- UrlValue
- itemsVariableDefinition[]
- default_valuestringrequiredExampleDescription
- descriptionstringExampleDescription
- keystringrequiredExampleDescription
- revisionintegerDescription
- rolestringExampleDescription
- typestring<boolean | string | double | integer | json>requiredExampleDescriptionAllowedbooleanstringdoubleintegerjson
- last_urlobjectDescription
- UrlValue
- next_urlobjectDescription
- UrlList
- pageintegerExampleDescription
- prev_urlobjectDescription
- UrlList
- total_countintegerExampleDescription
- total_pagesintegerExampleDescription
400
401
403
curl
curl --request GET \
--url https://api.optimizely.com/flags/v1//projects/{project_id}/flags/{flag_key}/variable_definitions \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.optimizely.com/flags/v1//projects/{project_id}/flags/{flag_key}/variable_definitions", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.optimizely.com/flags/v1//projects/{project_id}/flags/{flag_key}/variable_definitions")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.optimizely.com/flags/v1//projects/{project_id}/flags/{flag_key}/variable_definitions"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Successful retrieval of a page of Variable Definitions for a Flag.
The response includes RESTful JSON (https://restfuljson.org/) styled links and pagination metadata.
Objects in this API MAY include a url property for a link to itself and MAY append _url to properties for related links.
If a link is not present in the response, it indicates a user is not authorized to access the related resource.
{
"count": 1,
"first_url": {},
"items": [
{
"default_value": "0.0",
"description": "This variable is used to configure the amount used for computing the discount",
"key": "amount",
"revision": 0,
"role": "admin",
"type": "double"
}
],
"last_url": {},
"next_url": {},
"page": 1,
"prev_url": {},
"total_count": 1,
"total_pages": 1
}400
// Malformed requests and invalid parameter names and types
401
// Invalid credentials
403
// Do not have permission to perform the operation